.\"	$NetBSD: cy.4,v 1.7 2001/09/11 00:08:25 wiz Exp $
.\"
.\" Copyright (c) 1997 Jason R. Thorpe.  All rights reserved.
.\" Copyright (c) 1993 Andrew Herbert.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name Andrew Herbert may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 10, 1997
.Dt CY 4
.Os
.Sh NAME
.Nm cy
.Nd
Cyclades Cyclom-{4, 8, 16, 32}Y asynchronous comms board serial device driver
.Sh SYNOPSIS
.Cd "cy0 at isa? iomem 0xd4000 irq 12"
.Cd "cy* at pci? dev ? function ?"
.Sh DESCRIPTION
This driver provides an interface to Cyclades Cyclom-4Y, Cyclom-8Y,
Cyclom-16Y, and Cyclom-32Y asynchronous multiport serial boards.  These
boards are based around Cirrus Logic CD1400 communication controllers.
.Pp
The device minor numbers for this driver are encoded as follows:
.Pp
.Bd -literal
    d c c p p p p p	- bits in the minor device number

    bits    meaning
    ----    -------
    ppppp   physical serial line (i.e. port) to use:
		0-3 on Cyclom-4Y
		0-7 on Cyclom-8Y
		0-15 on Cyclom-16Y
		0-31 on Cyclom-32Y

    cc      card unit number; note this limits the driver to
	    four cards per system

    d       set to use as a dial-out line
.Ed
.Sh FLOW CONTROL
The
.Nm
driver makes use of the CD1400's automatic CTS flow control.  In addition,
the CD1400's automatic input flow control can be used.  This requires the
kernel configuration option
.Em CY_HW_RTS
and a special cable that exchanges the RTS and DTR lines.
.Sh DIAGNOSTICS
.Bl -diag
.It "cy%d: port %d: can't allocate tty"
There is not enough memory to allocate tty data structures.
.It "cy%d: can't allocate input buffer"
There is not enough memory to allocate the data input buffer.
.El
.Pp
Additional debugging output can be enable with the kernel configuration
option
.Em CY_DEBUG .
Diagnostic counters may be enabled with the kernel configuration option
.Em CY_DEBUG1 .
.Sh SEE ALSO
.Xr termios 4 ,
.Xr tty 4
.Sh AUTHORS
The
.Nm
driver was written by Timmo Rossi.
.Sh BUGS
Support for the Cyclom-32Y has not been tested.
